Technorati Rank WordPress -laajennuksen versio 2 julkaistu!

Kuumana ensimmäisen Technorati Rank -laajennuksen kannoilla, olen suunnitellut uudelleentulostussisällön sen tekemiseksi CSS ajettu (alla on kuvakaappaus, voit olla vuorovaikutuksessa sivustoni sivupalkissa olevan kanssa):

Technorati Rank WordPress -laajennuksen versio 2

Tämä oli melko haastava tuottaa, mutta tulos on paljon mukavampaa. Ensinnäkin hyödynin mitä olen oppinut Bittbox tehdä jokaisesta kuvan painikkeesta Illustratorissa.

Seuraava askel oli tyylien hyödyntäminen sellaisen rakentamiseksi kuvakartta paitsi että siellä on todella ei karttaa! Se on todella siistiä. Voit asettaa yleisen div-taustan ja luoda sitten kaikki '' hotspotit '' käyttämällä absoluuttista paikannusta ja CSS: ää. Tarkastele lähdön CSS: ää.

Lisäsin myös linkin Technoratin uuteen WTF -sivun ja sivuston RSS-osoitteen. Toivottavasti pidät siitä! Mielestäni se on valtava parannus ensimmäiseen versioon verrattuna! Siellä on i oikeassa alakulmassa oleva linkki, joka mainostaa myös laajennusta.

Nykyinen Technorati Rank WordPress -laajennuksen versio 2.0.4

23 Kommentit

  1. 1
    • 2

      Se todellakin on! Olin etsinyt Illustrator-apua jo jonkin aikaa. En käytä sitä tarpeeksi ollakseni fantastinen siinä, joten Bittboxin kaltainen sivusto säästää minulle paljon aikaa!

  2. 3

    Yritin asentaa uusimmat ja parhaat seuraten ohjeita "kirjaimelle" 🙂

    mutta sain seuraavan virheen

    Kohtalokas virhe: Ei voida luokitella olematonta luokkaa: simplexmlelement /home/winex4/public_html/wp-content/plugins/technorati-rank/technorati-rank.php rivillä 64

    mitään ehdotuksia?

    • 4
      • 5

        se opettaa minut tarkistamaan ensin .. ilmeisesti Lunarpages käyttää 4.4.4 PHP: tä

        Arvaa, että minun täytyy tarkistaa toinen versio tai ripustaa kovaa ja nähdä, päivittyvätkö ne versioon 5.0

        • 6

          Toivon, että he tekevät! Mutta toivon myös isäntäsi päivityksiä. PHP5 tuo todella paljon parempia suorituskykyparannuksia sekä parempia työkaluja sovellusliittymien kuluttamiseen. Käytän Jumplinea, näet linkin sponsoriluettelossani kotisivullani. Uskon myös, että Dotsterilla on hyvät VDS-isännät uusimpien ja parhaiden kanssa.

      • 7

        Doug,
        Minulla on sama ongelma
        Soitin palvelimelleni ja he sanoivat, että palvelimellani on PHP 4 ja PHP 5, mutta jos haluan suorittaa tiedoston PHP 5: llä, komentosarjalla on oltava .php5-tiedostotunniste.

        Joten ... Muutin tiedostopääteitä, ja se katoaa WordPressin laajennuksista.

        Ideoita?

  3. 10

    Mahtava laajennus, erinomainen muotoilu! Kiitos Doug, ja hyvää työtä. En koskaan edes tiennyt ensimmäisestä, mutta tämä tapahtuu sivupalkkissani.

    On todella palkitsevaa nähdä, että Illustrator-vinkkini auttoivat sinua tekemään painikkeita !!!!!

    Kiitos taas,

    ~ BittBox

    • 11

      Kiitos, BittBox! Luulen, että minulla on hyvä silmä tyyliin, mutta en koskaan näytä saavan sitä oikein suurimman osan ajasta. Se, että voit todella ladata näytteesi ja leikata niitä, tekee eron. Pystyn todella toteuttamaan nuo ideat nyt. 🙂

      Leikkin seuraavaksi joitain ajatuksia blogini otsikosta ja taustasta.

  4. 12

    No, Doug, näyttää siltä, ​​että version 2 laajennus vihaa minua. Saan virheilmoituksia:

    Warning: fopen(/technorati-rank.html) [function.fopen]: failed to open stream: Permission denied in /..../wp-content/plugins/technorati-rank/technorati-rank.php on line 121
    Warning: fwrite(): supplied argument is not a valid stream resource in /..../wp-content/plugins/technorati-rank/technorati-rank.php on line 122
    Warning: fclose(): supplied argument is not a valid stream resource in /..../wp-content/plugins/technorati-rank/technorati-rank.php on line 123

    Virhesanomista huolimatta se näyttää myös Technorati-sijoitukseni (~ 26.5 kt: D). En ole tarpeeksi perehtynyt PHP: n tietämään, miksi se itkee yhden tiedoston yli.
    Mielenkiintoista on, että palvelimellamme käytämme SuPHP: tä, joten kaikki toimii kuten me (joten chmod-vaatimukset eivät enää vaadi maailmassa kirjoitettavia tiedostoja, eikä php-komentosarjoja voida suorittaa, jos esimerkiksi chmod'ed on liian korkea).

    Kaikki tämän aliverkkotunnuksen php toimii nimellä php5.

    Onko ideoita?

    • 13

      Onko sinulla wp-content / cache-hakemisto Xial? Ajattelin, että olisi hyvä käyttää samaa välimuistihakemistoa kuin WP-välimuisti. Jälkikäteen ehkä se ei ollut hyvä idea! Tämä rivi on ehdottomasti kirjoittaa välimuistitiedostoon.

      • 14

        En todellakaan, Doug. Olen käyttänyt WP-välimuistia jo jonkin aikaa. 🙂

        Olin myös hieman utelias, miksi se valitti tästä, koska minulla on tarvittava hakemisto, mutta luulen, että se on jotain muuta.

      • 15

        Mielenkiintoinen vähän lisättävää tietoa:

        $ pwd
        /..../wp-content/cache
        $ ls -l tech*
        -rw-r--r-- 1 meeeeeeee meeeeeeee 1.1K Mar 12 11:47 technorati-rank.html

        Se palauttaa edelleen virheet.

    • 16

      Haluat vain soittaa samalla virheellä. Sivusto suorittaa php5: n ja painike näkyy.
      Yritin kommentoida rivejä 121-123, ja pistoke toimii hyvin. Voinko laittaa sen eloon, vai aiheuttaako näiden linjojen puute ongelmia pitkällä aikavälillä?

  5. 17

    Saan samat virheet kuin yllä, ajattelin myös, että se oli välimuistini dir, mutta minulla on sellainen ja varmistin myös, että kirjoitusoikeudet olivat oikein.
    Sivupalkissa se näyttää laajennuksen (sijoituksella), mutta sen yläpuolella olevilla virheillä.

    • 18

      Hei Richard,

      Voitteko tarkistaa, että sinulla on PHP-versio 5+ ja CURL on käytössä? Voit tehdä tämän rakentamalla sivun sivustollesi <?php phpinfo(); ?> sivulla. Avaa sitten sivu. Sivun yläosassa on PHP-versiosi, ja voit etsiä CURL-tiedostoa varmistaaksesi, että se on käytössä.

      Kiitos!
      Doug

      • 19

        No, Doug, tarkistin PHP-versioni uudelleen.
        Käytän PHP5: tä ja cURL on käännetty (yksi kolmesta tavallisesta pyynnöstäni isännälleni, jotta asiat voidaan koota PHP: ksi).

        Kaikki muu toimii hyvin, mutta en ole täysin varma, miksi tämä laajennus tukehtuu, ellei se ole PHUR: iin käännetty cURL-versio (Olemme 7.15.4 ja viimeisin näyttää olevan 7.16.1). En kuitenkaan halua häiritä isäntääni kääntämään php5 uudelleen vain siksi, jos voin auttaa sitä. <: 3

        • 20

          Aion tarkastella syvällisemmin tänä viikonloppuna. Se toimii ilman ongelmia muutamilla sivustoilla - joten se on yksi kolmesta asiasta: 3. Välimuisti, 1. cURL tai 2. PHP-versio.

          Voin käyttää vanhempaa PHP 4 -toimintoa XML: n vetämiseen ja jäsentämiseen, mutta se saattaa hidastaa sitä melko vähän - aion testata tänä viikonloppuna. Arvostan kaikkea panosta. "Houston, meillä on ongelma!".

  6. 21
  7. 22
  8. 23

    Olen saanut melko paljon pyyntöjä siitä, että välimuistitiedostosta kirjoitettaessa tai luettaessa on tapahtunut virheitä. Tunnistin todella ongelman, jossa työnsin ja vedin välimuistitiedostoa juurihakemistoon. Olen muokannut versiota 2.0.4 siten, että se kirjoittaa laajennuksen hakemiston välimuistin alihakemistoon.

    Kerro minulle, miten se toimii! (Edelleen tarvitaan SimpleXML ja CURL!)

Mitä mieltä olet?

Tämä sivusto käyttää Akismetiä roskapostin vähentämiseksi. Lue, miten kommenttitietosi käsitellään.